Author Topic: Cannot create Kotlin - Gradle project  (Read 797 times)

benem61

  • New Community Member
  • Posts: 1
  • Hero Points: 0
Cannot create Kotlin - Gradle project
« on: November 02, 2018, 11:19:32 am »
I've just installed the new Slickedit 2018 version and want to try the new Kotlin - gradle project for android development.

Unfortunately I cannot create the new project.

The error is the following:

Code: [Select]
EXEC "C:\Program Files\Android\Android Studio\gradle\gradle-4.4\\bin\gradle.bat" -b "D:\Data\Sviluppo\Android\testKotlin\build.gradle"  tasks --all
Starting a Gradle Daemon, 1 incompatible Daemon could not be reused, use --status for details

FAILURE: Build failed with an exception.

* Where:
Build file 'D:\Data\Sviluppo\Android\testKotlin\build.gradle' line: 18

* What went wrong:
Could not compile build file 'D:\Data\Sviluppo\Android\testKotlin\build.gradle'.
> startup failed:
  build file 'D:\Data\Sviluppo\Android\testKotlin\build.gradle': 18: Ambiguous expression could be a parameterless closure expression, an isolated open code block, or it may continue a previous statement;
     solution: Add an explicit parameter list, e.g. {it -> ...}, or force it to be treated as an open block by giving it a label, e.g. L:{...}, and also either remove the previous newline, or add an explicit semicolon ';' @ line 18, column 1.
     {
     ^
 
  1 error


* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

I've given, as Gradle home directory those from Android Studio (4.4). The same for JAVA_HOME.

patrick

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 1480
  • Hero Points: 133
Re: Cannot create Kotlin - Gradle project
« Reply #1 on: November 02, 2018, 02:18:12 pm »
Curious. I'm assuming you're just importing an existing gradle file.  Do you get something a different result if you run that same gradle command at the OS command prompt?  While we do include an extra settings file for some gradle operations, this one is not one of them, so I'm not sure yet what could cause that syntax error message outside of a syntax error in the build.gradle file.